from django.shortcuts import render_to_response, get_object_or_404

from models import *

def root(request):
	posts = Post.objects.all().order_by('-datetime')

	return render_to_response('root.html', {
			'posts': posts,
			})


def post(request, postid):
	post = get_object_or_404(Post, pk=postid)

	return render_to_response('post.html', {
			'post': post,
			})
