#!/usr/bin/env python

import sys

import pgq
from varnishadmin import VarnishAdmin

class VarnishPurger(pgq.Consumer):
	def process_batch(self, db, batch_id, ev_list):
		if len(ev_list):
			v = VarnishAdmin()

			for ev in ev_list:
				if ev.type=='PURGE':
					print "Purging %s" % ev.data
					v.purge(ev.data)
					ev.tag_done()
				else:
					print "Unknown event type '%s'" % ev.type

VarnishPurger('varnish_purger', 'db', sys.argv[1:]).start()

